Jump to content
  • Advertisement
Sign in to follow this  
tungqoo123

OpenGL Opengl Game Project Compiling: Error: 0:1:": Version number not supported by GL2

This topic is 3032 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

I tried to compile the source code in a programming book called "Beginning Opengl Game Programming".

However, I get the following error.

Error: 0:1:": Version number not supported by GL2
Error: 0:6:'in':syntax error parse error

I had deal with it for a number of days but I still could not solve the problem.
I tried to change the #version 120 to #version 110 in the files located in the directory "data/shaders/glsl1.20".

Unforunately, I still got errors.
I hope someone can figure out the solution for me. I really need a help!

You may download the whole project in the following link and try to compile.
You may also need freetype.lib and GLee.lib and I will also provide them.

http://www.sendspace.com/file/o0gkyl


Thanks a lot

Share this post


Link to post
Share on other sites
Advertisement
u could post u'r shader code first so we can see were the problem is.

But I think it's cause u use "in" for varying or attributes which is wrong for GLSL 1.2

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

GameDev.net is your game development community. Create an account for your GameDev Portfolio and participate in the largest developer community in the games industry.

Sign me up!